## com.arsdigita.cms.docmgr.search
Class IntermediaSearcher

    java.lang.Object
      com.arsdigita.cms.docmgr.search.IntermediaSearcher

All Implemented Interfaces:
  Searcher

public class IntermediaSearcher
extends Object
implements Searcher

Implement the Intermedia-based simple and advanced searches for the site.

Field Summary
`protected static String[]` `m_columns`

Constructor Summary
`IntermediaSearcher()`

Method Summary
`SearchResults` `advancedSearch(String terms, String author, String mimeType, BigDecimal workspaceID, Date lastModifiedStartDate, Date lastModifiedEndDate, String[] types, String[] sections, com.arsdigita.kernel.User user, Collection categoryIDs)`
`protected String` `cleanUpSearchString(String terms, String joiner)`
`protected com.arsdigita.search.SearchDataQuery` `createAdvancedQuery(String searchString, com.arsdigita.kernel.User user, Collection categoryIDs)`
`protected String` `createSearchString(String[] types, String[] sections, String searchString, String author, String mimeType, BigDecimal workspaceID, Date lastModifiedStartDate, Date lastModifiedEndDate)`
`protected com.arsdigita.search.SearchDataQuery` `createSimpleQuery(String searchString, com.arsdigita.kernel.User user)`
`protected String[]` `objectToString(Object[] objects)` Yet another dumb method brought to you by Java
`SearchResults` `simpleSearch(String terms, com.arsdigita.kernel.User user)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_columns

    protected static final String[] m_columns

Constructor Detail

### IntermediaSearcher

    public IntermediaSearcher()

Method Detail

### simpleSearch

    public SearchResults simpleSearch(String terms,
                                      com.arsdigita.kernel.User user)

  Specified by:
    `simpleSearch` in interface `Searcher`

### createSimpleQuery

    protected com.arsdigita.search.SearchDataQuery createSimpleQuery(String searchString,
                                                                     com.arsdigita.kernel.User user)

### advancedSearch

    public SearchResults advancedSearch(String terms,
                                        String author,
                                        String mimeType,
                                        BigDecimal workspaceID,
                                        Date lastModifiedStartDate,
                                        Date lastModifiedEndDate,
                                        String[] types,
                                        String[] sections,
                                        com.arsdigita.kernel.User user,
                                        Collection categoryIDs)

  Specified by:
    `advancedSearch` in interface `Searcher`

### createAdvancedQuery

    protected com.arsdigita.search.SearchDataQuery createAdvancedQuery(String searchString,
                                                                       com.arsdigita.kernel.User user,
                                                                       Collection categoryIDs)

### cleanUpSearchString

    protected String cleanUpSearchString(String terms,
                                         String joiner)

### createSearchString

    protected String createSearchString(String[] types,
                                        String[] sections,
                                        String searchString,
                                        String author,
                                        String mimeType,
                                        BigDecimal workspaceID,
                                        Date lastModifiedStartDate,
                                        Date lastModifiedEndDate)

### objectToString

    protected String[] objectToString(Object[] objects)

  Yet another dumb method brought to you by Java

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC